[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlPropertyStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements the abstract ancestor class used to get the property list for a control.

## Declaration

Source position: controls.pp line 2511

`type TControlPropertyStorage = class(TCustomPropertyStorage)`
`protected`
`procedure GetPropertyList(); override;` |  | Parses the values from SessionProperties in the Root component into the given list.
`end;`

## Inheritance

`TControlPropertyStorage` |  | Implements the abstract ancestor class used to get the property list for a control.
`TCustomPropertyStorage` |  | Defines a container used to Save and Restore property values.
`TComponent`
?
`TObject`